## linux-firmware-raspi2 1.20200212

=== hardfp/opt/vc/src/hello_pi/hello_font/Makefile ===
OBJS=main.o
BIN=hello_font.bin

LDFLAGS+=-lvgfont -lfreetype -lz -lrevision

include ../Makefile.include
