=== hardfp/opt/vc/src/hello_pi/hello_triangle/Makefile ===
OBJS=triangle.o
BIN=hello_triangle.bin

LDFLAGS+= -lrevision

include ../Makefile.include
