=== hardfp/opt/vc/src/hello_pi/hello_triangle2/Makefile ===
OBJS=triangle2.o
BIN=hello_triangle2.bin

LDFLAGS+= -lrevision

include ../Makefile.include
