=== hardfp/opt/vc/src/hello_pi/hello_videocube/Makefile ===
OBJS=triangle.o video.o
BIN=hello_videocube.bin
LDFLAGS+=-lilclient -lrevision

include ../Makefile.include
