=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/linux-firmware-raspi2-$1\.tar\.gz/ \
  https://github.com/raspberrypi/firmware/releases .*/v?(\d\S*)\.tar\.gz
