## linux-firmware-raspi2 1.20161020

=== debian/changelog ===
linux-firmware-raspi2 (1.20161020-0ubuntu1~1.1) yakkety; urgency=medium

  * Update to release 1.20161020
  * Check that config.txt sets the $device_tree_address, or forcefully set it to 0x02000000
    (LP: #1636838)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Oct 2016 14:41:31 +0200
