## linux-firmware-raspi2 1.20190215

=== debian/changelog ===
linux-firmware-raspi2 (1.20190215-0ubuntu3) disco; urgency=medium

  * Updated d/copyright with comment about origin of bluetooth firmwares

 -- Dave Jones <dave.jones@canonical.com>  Thu, 11 Apr 2019 21:19:08 +0000

linux-firmware-raspi2 (1.20190215-0ubuntu2) disco; urgency=medium

  * Added firmwares for Bluetooth on Raspberry Pi 3B and 3B+ (LP: #1824338)
  * Fixed decoding of wifi firmware blob in prior patch

 -- Dave Jones <dave.jones@canonical.com>  Thu, 11 Apr 2019 12:07:10 +0000

linux-firmware-raspi2 (1.20190215-0ubuntu1) disco; urgency=medium

  * Update to release 1.20190215
  * New firmwares enable boot on Compute Module 3+

 -- Dave Jones <dave.jones@canonical.com>  Thu, 04 Apr 2019 14:27:52 +0000

linux-firmware-raspi2 (1.20180919-0ubuntu2) disco; urgency=medium

  * Do not install the kernel*.img binaries as they're not needed.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Jan 2019 10:14:03 +0100

linux-firmware-raspi2 (1.20180919-0ubuntu1) disco; urgency=medium

  * Update to release 1.20180919
  * Add debian/patches/brcm_firmware patch from raspi3-firmware as the newer
    upstream firmware tarballs do not include all the required files for WiFi
    to be active on the raspi3.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 17 Jan 2019 15:43:21 +0100

linux-firmware-raspi2 (1.20161020-0ubuntu1) zesty; urgency=medium

  * Update to release 1.20161020
  * Check that config.txt sets the $device_tree_address, or forcefully set it to 0x02000000
    (LP: #1636838)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Fri, 28 Oct 2016 14:41:31 +0200
