=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Homepage: https://github.com/raspberrypi/firmware
 
 Package: linux-firmware-raspi2
-Architecture: armhf
+Architecture: armhf arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: RaspberryPi2 GPU firmware and bootloaders
+Description: RaspberryPi2/3 GPU firmware and bootloaders
  This package contains all the proprietary files necessary to boot a
- RaspberryPi2 board.
+ RaspberryPi2/3 board.
