## linux-firmware-raspi2 1.20190819

=== debian/changelog ===
linux-firmware-raspi2 (1.20190819-0ubuntu2) eoan; urgency=medium

  * Update brcm43455 blob to support wifi on Pi 4 (LP: #1847782)
  * Remove redundant Pi 3 wireless config (now part of linux-firmware)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 11 Oct 2019 10:58:51 +0100

linux-firmware-raspi2 (1.20190819-0ubuntu1) eoan; urgency=medium

  * Update to release 1.20190819 to enable Pi 4 boot (LP: #1847163)
  * Remove incorrect device_tree_address hack in postinst
  * Simplify copy of firmware to the boot partition in postinst

 -- Dave Jones <dave.jones@canonical.com>  Mon, 07 Oct 2019 22:24:41 +0100
