=== debian/control ===
--- 
+++ 
@@ -9,6 +9,6 @@
 Package: linux-firmware-raspi2
 Architecture: armhf arm64
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: RaspberryPi2/3 GPU firmware and bootloaders
+Description: Raspberry Pi 2/3/4 GPU firmware and bootloaders
  This package contains all the proprietary files necessary to boot a
- RaspberryPi2/3 board.
+ Raspberry Pi 2/3/4 board.
