## linux-firmware-raspi2 1.20200212

=== debian/changelog ===
linux-firmware-raspi2 (1.20200212-0ubuntu1) focal; urgency=medium

  * New upstream release, 1.20200212
  * Updated wifi firmware to support 802.11ac wifi (LP: #1862760)
  * Added diversions to override linux-firmware's versions of the wifi
    firmware (LP: #1862146)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 10 Mar 2020 11:46:49 +0000
