=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: linux-firmware-raspi2
 Architecture: armhf arm64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: Raspberry Pi 2/3/4 GPU firmware and bootloaders
  This package contains all the proprietary files necessary to boot a
  Raspberry Pi 2/3/4 board.
