=== debian/rules ===
--- 
+++ 
@@ -19,18 +19,15 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
 
 override_dh_install:
 	dh_install
 	# Decode the patched in blobs
+	base64 --decode brcm80211/brcmfmac43455-sdio.bin.base64 > debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.bin
 	base64 --decode brcm80211/brcmfmac43455-sdio.clm_blob.base64 > debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.clm_blob
 	base64 --decode bcm434/BCM43430A1.hcd.base64 > debian/linux-firmware-raspi2/lib/firmware/brcm/BCM43430A1.hcd
 	base64 --decode bcm434/BCM4345C0.hcd.base64 > debian/linux-firmware-raspi2/lib/firmware/brcm/BCM4345C0.hcd
-	# Some files don't need to be installed on the system
-	rm debian/linux-firmware-raspi2/usr/lib/linux-firmware-raspi2/COPYING.linux
-	rm debian/linux-firmware-raspi2/usr/lib/linux-firmware-raspi2/LICENCE.broadcom
-	rm debian/linux-firmware-raspi2/usr/lib/linux-firmware-raspi2/kernel*.img
 
 # debmake generated override targets
 # This is example for Cmake (See http://bugs.debian.org/641051 )
