## linux-firmware-raspi2 2

=== debian/changelog ===
linux-firmware-raspi2 (2-0ubuntu2) groovy; urgency=medium

  * Add extra copy of the BCM43456 wifi configuration

 -- Dave Jones <dave.jones@canonical.com>  Fri, 16 Oct 2020 10:34:13 +0100

linux-firmware-raspi2 (2-0ubuntu1) groovy; urgency=medium

  * Replace source tarballs from forked/merged RPi-Distro packages, to a
    3.0 quilt package that has empty orig tarball, and only includes the
    matching files shipped by the package, as component tarballs, without
    duplicating linux-firmware. See get-orig-source target. The resulting
    .deb is identical to the previous one, this only corrects the source
    package contents.
    Components are at:
     - boot - 1.20200902
     - bluez - c317a5c56847d18faf43e531f35c1661f1134046
     - nofree (wifi) - 98e815735e2c805d65994ccc608f399595b74438
  * Drop multiverse/ section for promotion to restricted.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Oct 2020 12:59:05 +0100

linux-firmware-raspi2 (1.20200902-0ubuntu1) groovy; urgency=medium

  * Replaced postinst with flash-kernel trigger (relates to LP: #1895137)
  * New upstream boot firmware release, 1.20200902
  * New upstream bluetooth firmware release, 1.2-4+rpt5

    [ Serge Schneider ]
    - This BCM43438 and BCM43455 Bluetooth firmware updates work around most
      of the report "Spectra" class of vulnerabilities. CVE-2020-10370 will be
      addressed in a follow-up release.
    - Add BCM4345C5.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt8

    [ Phil Elwell ]
    - Add BCM43456 firmware
      - brcm/brcmfmac43456-sdio.bin 7.84.17.1
      - brcm/brcmfmac43456-sdio.clm_blob
      - brcm/brcmfmac43456-sdio.txt

    [ Serge Schneider ]
    - Update brcmfmac43455-sdio.bin to 7.45.206

 -- Dave Jones <dave.jones@canonical.com>  Fri, 18 Sep 2020 17:24:45 +0100

linux-firmware-raspi2 (1.20200601+arm64-0ubuntu3) groovy; urgency=medium

  * Rename BCM43456 configuration to include d-t compatible suffix

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Jul 2020 09:56:03 +0100

linux-firmware-raspi2 (1.20200601+arm64-0ubuntu2) groovy; urgency=medium

  * Update bluez firmware to latest upstream version (1.2-4+rpt3)
    (LP: #1888211)
  * Change packaging to use multi-upstream tarballs
  * Add diversion for BCM43430 binary blob
  * Bumped compat to 11 and fixed dh_strip issue

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Jul 2020 18:55:11 +0100

linux-firmware-raspi2 (1.20200601+arm64-0ubuntu1) groovy; urgency=medium

  * New upstream release, 1.20200601+arm64

 -- Dave Jones <dave.jones@canonical.com>  Mon, 08 Jun 2020 11:24:11 +0000
