## linux-firmware-raspi2 4

=== debian/changelog ===
linux-firmware-raspi2 (4-0ubuntu0~18.04.1) bionic; urgency=medium

  * Backport to bionic (LP: #1940400)
    - Removed Breaks on flash-kernel and reinstated postinst to install boot
      firmware
    - Added diversions for all wifi firmware blobs
    - New upstream boot firmware release, 1.20210303
    - New upstream bluetooth firmware release, 1.2-4+rpt8

      [ Phil Elwell ]
      - Second Spectra fix for CYW43455 (CVE-2020-10370)
        - Original firmware name: BCM4345C0_003.001.025.0174.0342.hcd

    - New upstream wifi firmware release, 1:20190114-1+rpt11

      [ Serge Schneider ]
      - Update CYW43455 firmware
        - brcm/brcmfmac43455-sdio.bin 7.45.229
        - See: https://github.com/raspberrypi/linux/issues/3849

 -- Dave Jones <dave.jones@canonical.com>  Tue, 31 Aug 2021 15:43:35 +0100

linux-firmware-raspi2 (1.20200601+arm64-0ubuntu2~18.04.1) bionic; urgency=medium

  * SRU to bionic to support booting RPi 4B rev 1.4 (LP: #1886581)
  * Update bluez firmware to latest upstream version (1.2-4+rpt3)
    (LP: #1888211)
  * Change packaging to use multi-upstream tarballs
  * Add diversion for BCM43430 binary blob
  * Bumped compat to 11 and fixed dh_strip issue

 -- Dave Jones <dave.jones@canonical.com>  Fri, 17 Jul 2020 18:55:11 +0100

linux-firmware-raspi2 (1.20190819-0ubuntu0.18.04.1) bionic; urgency=medium

  * SRU to bionic to support booting RPi 4B (LP: #1847163)
    - Update to release 1.20190819
    - Include generic NVRAM configuration files for 4.x kernel series

 -- Dave Jones <dave.jones@canonical.com>  Fri, 20 Dec 2019 12:45:08 +0000

linux-firmware-raspi2 (1.20190215-0ubuntu0.18.04.1) bionic; urgency=medium

  * SRU to bionic to support booting RPi 3B+ and CM3+ (LP: #1761483)
    - Update to release 1.20190215
    - Added firmwares for Bluetooth on Raspberry Pi 3B and 3B+
    - Updated d/copyright with comment about origin of bluetooth firmwares

 -- Dave Jones <dave.jones@canonical.com>  Thu, 18 Jul 2019 12:27:29 +0000

linux-firmware-raspi2 (1.20180919-0ubuntu0.18.04.2) bionic; urgency=medium

  * Do not install the kernel*.img binaries as they're not needed.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Jan 2019 10:23:26 +0100

linux-firmware-raspi2 (1.20180919-0ubuntu0.18.04.1) bionic; urgency=medium

  * Update to release 1.20180919 to match what is used in our official core18
    images. (LP: #1805668)
  * Add debian/patches/brcm_firmware patch from raspi3-firmware as the newer
    upstream firmware tarballs do not include all the required files for WiFi
    to be active on the raspi3.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 17 Jan 2019 15:43:21 +0100
