=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: linux-firmware-raspi2
-Section: multiverse/misc
+Section: misc
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.5.0
 Homepage: https://github.com/raspberrypi/firmware
+XS-Autobuild: yes
 
 Package: linux-firmware-raspi2
 Architecture: armhf arm64
