=== debian/rules ===
--- 
+++ 
@@ -13,15 +13,24 @@
 
 override_dh_install:
 	dh_install
+
 	mv debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43430-sdio.txt \
 		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43430-sdio.raspberrypi,3-model-b.txt
+
 	cp debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.txt \
 		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,3-model-b-plus.txt
 	cp debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.txt \
 		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-model-b.txt
+	cp debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.txt \
+		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,4-compute-module.txt
+	cp debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.txt \
+		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.raspberrypi,400.txt
 	rm debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43455-sdio.txt
+
 	cp debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43456-sdio.txt \
 		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,4-model-b.txt
+	cp debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43456-sdio.txt \
+		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,4-compute-module.txt
 	cp debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43456-sdio.txt \
 		debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43456-sdio.raspberrypi,400.txt
 	rm debian/linux-firmware-raspi2/lib/firmware/brcm/brcmfmac43456-sdio.txt
@@ -30,15 +39,47 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-BOOTCOMMIT:= 1.20200902
-BOOTFILES := LICENCE.broadcom bootcode.bin fixup.dat fixup4.dat fixup4cd.dat fixup4db.dat fixup4x.dat fixup_cd.dat fixup_db.dat fixup_x.dat start.elf start4.elf start4cd.elf start4db.elf start4x.elf start_cd.elf start_db.elf start_x.elf
+BOOTCOMMIT:= 1.20210303
+BOOTFILES := \
+	LICENCE.broadcom \
+	bootcode.bin \
+	fixup.dat \
+	fixup4.dat \
+	fixup4cd.dat \
+	fixup4db.dat \
+	fixup4x.dat \
+	fixup_cd.dat \
+	fixup_db.dat \
+	fixup_x.dat \
+	start.elf \
+	start4.elf \
+	start4cd.elf \
+	start4db.elf \
+	start4x.elf \
+	start_cd.elf \
+	start_db.elf \
+	start_x.elf
 
-BTCOMMIT:= c317a5c56847d18faf43e531f35c1661f1134046
-BTFILES := BCM43430A1.hcd BCM4345C0.hcd BCM4345C5.hcd
+BTCOMMIT:= e7fd166981ab4bb9a36c2d1500205a078a35714d
+BTFILES := \
+	BCM43430A1.hcd \
+	BCM4345C0.hcd \
+	BCM4345C5.hcd \
+	BCM43430B0.hcd
 
-WIFICOMMIT:= 98e815735e2c805d65994ccc608f399595b74438
-WIFIFILES := brcmfmac43430-sdio.bin brcmfmac43430-sdio.txt brcmfmac43455-sdio.bin brcmfmac43455-sdio.clm_blob brcmfmac43455-sdio.txt brcmfmac43456-sdio.bin brcmfmac43456-sdio.clm_blob brcmfmac43456-sdio.txt
-
+WIFICOMMIT:= 83938f78ca2d5a0ffe0c223bb96d72ccc7b71ca5
+WIFIFILES := \
+	brcmfmac43430-sdio.bin \
+	brcmfmac43430-sdio.txt \
+	brcmfmac43436-sdio.bin \
+	brcmfmac43436-sdio.clm_blob \
+	brcmfmac43436-sdio.txt \
+	brcmfmac43455-sdio.bin \
+	brcmfmac43455-sdio.clm_blob \
+	brcmfmac43455-sdio.txt \
+	brcmfmac43456-sdio.bin \
+	brcmfmac43456-sdio.clm_blob \
+	brcmfmac43456-sdio.txt
 
 get-orig-source:
 	rm -rf boot bluez nonfree
@@ -50,6 +91,7 @@
 	set -x; mkdir -p nonfree/brcm/; cd nonfree/brcm; $(foreach file,$(WIFIFILES),wget https://github.com/RPi-Distro/firmware-nonfree/raw/$(WIFICOMMIT)/brcm/$(file);)
 	cd nonfree; wget https://github.com/RPi-Distro/firmware-nonfree/raw/$(WIFICOMMIT)/LICENCE.broadcom_bcm43xx
 	cd nonfree; wget https://github.com/RPi-Distro/firmware-nonfree/raw/$(WIFICOMMIT)/LICENCE.cypress
+	cd nonfree; wget https://github.com/RPi-Distro/firmware-nonfree/raw/$(WIFICOMMIT)/WHENCE
 
 	mkdir $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
 	tar -czf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
