## linux-firmware-raspi2 5

=== debian/changelog ===
linux-firmware-raspi2 (5-0ubuntu1) impish; urgency=medium

  * New upstream boot firmware release, 1.20210831
    - Contains workaround for compatibility with "full" KMS overlay on the
      Ubuntu Pi desktop (LP: #1944397)
  * Removed d/compat (replaced with debhelper-compat build-dep)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 28 Sep 2021 21:04:23 +0100

linux-firmware-raspi2 (4-0ubuntu3) hirsute; urgency=medium

  * Add diversion for brcmfmac43430 clm_blob (LP: #1922257)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 16 Apr 2021 00:12:35 +0100

linux-firmware-raspi2 (4-0ubuntu2) hirsute; urgency=medium

  * Add aliases and diversions for brcmfmac43455 configuration on the
    Raspberry Pi Compute Module 4, and 400 (LP: #1912905)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 12 Mar 2021 15:03:37 +0000

linux-firmware-raspi2 (4-0ubuntu1) hirsute; urgency=medium

  * Added diversions for all wifi firmware blobs (LP: #1918013)
  * New upstream boot firmware release, 1.20210303
  * New upstream bluetooth firmware release, 1.2-4+rpt8

    [ Phil Elwell ]
    - Second Spectra fix for CYW43455 (CVE-2020-10370)
      - Original firmware name: BCM4345C0_003.001.025.0174.0342.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt11

    [ Serge Schneider ]
    - Update CYW43455 firmware
      - brcm/brcmfmac43455-sdio.bin 7.45.229
      - See: https://github.com/raspberrypi/linux/issues/3849

 -- Dave Jones <dave.jones@canonical.com>  Thu, 11 Mar 2021 14:19:26 +0000

linux-firmware-raspi2 (3-0ubuntu2) hirsute; urgency=medium

  * Add wifi configuration file for CM4

 -- Dave Jones <dave.jones@canonical.com>  Thu, 21 Jan 2021 16:21:28 +0000

linux-firmware-raspi2 (3-0ubuntu1) hirsute; urgency=medium

  * New upstream boot firmware release, 1.20210108
  * New upstream bluetooth firmware release, 1.2-4+rpt7

    [ Phil Elwell ]
    - Bug fix CYW43455 firmware
      - This update fixes the failure of CYW43455 to accept BLE connections.
      - Original firmware name: BCM4345C0_003.001.025.0171.0339.hcd
      - See: https://github.com/raspberrypi/linux/issues/3689

    [ Phil Elwell ]
    - Add BCM43430B0.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt10

    [ Phil Elwell ]
    - New clm_blob for BCM43456
      - An updated clm_blob to open up the 80MHz channels.
    - Use BCM43456 clm_blob on CYW43455
      - The previous CYW43455 clm_blob provides limited access to the higher
        5GHz channels (100+) - the BCM43456 (surprisingly) seems to work and
        doesn't have this problem.

    [ Phil Elwell ]
    - Add BCM43436 firmware
      - brcm/brcmfmac43436-sdio.bin 9.88.4.65
      - brcm/brcmfmac43436-sdio.clm_blob
      - brcm/brcmfmac43436-sdio.txt

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Jan 2021 15:38:07 +0000
