=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	# Don't strip anything; it's all pre-built binary blobs and some of
 	# it is foreign architecture anyway
 
-BOOTCOMMIT:= 1.20210303
+BOOTCOMMIT:= 1.20210831
 BOOTFILES := \
 	LICENCE.broadcom \
 	bootcode.bin \
