## linux-firmware-raspi2 6

=== debian/changelog ===
linux-firmware-raspi2 (6-0ubuntu0~20.04.1) focal; urgency=medium

  * Backport to focal
    - New upstream boot firmware release, 1.20211118
    - New upstream wifi firmware release, 20210315-3+rpt4 (LP: #1950633)

      [ Phil Elwell ]
      - Add 43438 firmware 7.45.98.118 + external clm_blob
      - Add 43455 firmware 7.45.241 and clm_blob
      - Add "minimal" firmware for AP+STA mode
      - Add 43436S firmware
        - Future Zero 2 W boards will have an alternative version of 43436
          that should have different firmware, named brcmfmac43436s-sdio
      - Update the Cypress 43455 WLAN firmware to 7.45.241, and include the
        new clm_blob with all-zero regrevs (tried previously but with a bad
        blob)

    - Added diversions for new 43436s firmware (including overrides for any
      future external clm_blob)
    - Add autopkgtest for co-existence with linux-firmware (LP: #1927711)

 -- Dave Jones <dave.jones@canonical.com>  Thu, 27 Jan 2022 13:31:58 +0000

linux-firmware-raspi2 (4-0ubuntu0~20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1925971)
    - Add aliases and diversions for brcmfmac43455 configuration on the
      Raspberry Pi Compute Module 4, and 400 (LP: #1912905)

    - Added diversions for all wifi firmware blobs (LP: #1918013)
    - New upstream boot firmware release, 1.20210303
    - New upstream bluetooth firmware release, 1.2-4+rpt8

      [ Phil Elwell ]
      - Second Spectra fix for CYW43455 (CVE-2020-10370)
        - Original firmware name: BCM4345C0_003.001.025.0174.0342.hcd

    - New upstream wifi firmware release, 1:20190114-1+rpt11

      [ Serge Schneider ]
      - Update CYW43455 firmware
        - brcm/brcmfmac43455-sdio.bin 7.45.229
        - See: https://github.com/raspberrypi/linux/issues/3849

 -- William 'jawn-smith' Wilson <william.wilson@canonical.com>  Fri, 23 Apr 2021 16:05:55 -0500

linux-firmware-raspi2 (3-0ubuntu2~20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1911687)
  * Add wifi configuration file for CM4

 -- Dave Jones <dave.jones@canonical.com>  Thu, 21 Jan 2021 16:21:28 +0000

linux-firmware-raspi2 (3-0ubuntu1~20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1911687)
  * New upstream boot firmware release, 1.20210108
  * New upstream bluetooth firmware release, 1.2-4+rpt7

    [ Serge Schneider ]
    - This BCM43438 and BCM43455 Bluetooth firmware updates work around most
      of the report "Spectra" class of vulnerabilities. CVE-2020-10370 will be
      addressed in a follow-up release.
    - Add BCM4345C5.hcd

    [ Phil Elwell ]
    - Bug fix CYW43455 firmware
      - This update fixes the failure of CYW43455 to accept BLE connections.
      - Original firmware name: BCM4345C0_003.001.025.0171.0339.hcd
      - See: https://github.com/raspberrypi/linux/issues/3689

    [ Phil Elwell ]
    - Add BCM43430B0.hcd

  * New upstream wifi firmware release, 1:20190114-1+rpt10

    [ Phil Elwell ]
    - Add BCM43456 firmware
      - brcm/brcmfmac43456-sdio.bin 7.84.17.1
      - brcm/brcmfmac43456-sdio.clm_blob
      - brcm/brcmfmac43456-sdio.txt

    [ Phil Elwell ]
    - New clm_blob for BCM43456
      - An updated clm_blob to open up the 80MHz channels.
    - Use BCM43456 clm_blob on CYW43455
      - The previous CYW43455 clm_blob provides limited access to the higher
        5GHz channels (100+) - the BCM43456 (surprisingly) seems to work and
        doesn't have this problem.

    [ Phil Elwell ]
    - Add BCM43436 firmware
      - brcm/brcmfmac43436-sdio.bin 9.88.4.65
      - brcm/brcmfmac43436-sdio.clm_blob
      - brcm/brcmfmac43436-sdio.txt

  [ Dave Jones ]
  * Change packaging to use multi-upstream tarballs
  * Add diversion for BCM43430 binary blob
  * Bumped compat to 11 and fixed dh_strip issue
  * Rename BCM43456 configuration to include d-t compatible suffix
  * Replaced postinst with flash-kernel trigger (relates to LP: #1895137)

  [ Dimitri John Ledkov ]
  * Replace source tarballs from forked/merged RPi-Distro packages, to a
    3.0 quilt package that has empty orig tarball, and only includes the
    matching files shipped by the package, as component tarballs, without
    duplicating linux-firmware. See get-orig-source target. The resulting
    .deb is identical to the previous one, this only corrects the source
    package contents.
    Components are at:
     - boot - 1.20200902
     - bluez - c317a5c56847d18faf43e531f35c1661f1134046
     - nofree (wifi) - 98e815735e2c805d65994ccc608f399595b74438
  * Drop multiverse/ section for promotion to restricted.

  [ Dave Jones ]
  * Add extra copy of the BCM43456 wifi configuration

 -- Dave Jones <dave.jones@canonical.com>  Tue, 12 Jan 2021 15:38:07 +0000
