=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 Package: linux-firmware-raspi2
 Architecture: armhf arm64
 Depends: ${misc:Depends}
+Breaks: flash-kernel (<<3.103)
 Description: Raspberry Pi 2/3/4 GPU firmware and bootloaders
  This package contains all the proprietary files necessary to boot a
  Raspberry Pi 2/3/4 board.
