=== debian/tests/control ===
# This trivial test simply installs both linux-firmware and
# linux-firmware-raspi2 to check that the diversions of the latter co-exist
# happily with the files of the former

Depends: linux-firmware-raspi2, linux-firmware
Test-Command: echo linux-firmware and linux-firmware-raspi2 co-exist
